Docs Video unified format /ent/v2/audio-tts
API reference

speech synthesis TTS

Text to speech.

POST/ent/v2/audio-tts

Body Parametersapplication/json

text* string

Text to be synthesized

voice_setting_pitch integer

Pitch

voice_setting_speed number

Speech speed

voice_setting_voice_id* string

Voice ID

voice_setting_volume integer

Volume

Responses

200 OK application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"text": "string",
3"voice_setting_voice_id": "string"
4}
Code Sample cURL
1curl -X POST "https://api.digislash.com/ent/v2/audio-tts" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"text": "string",
6"voice_setting_voice_id": "string"
7}'
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}